Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class ReferenceResolver

    java.lang.Object
      org.modeshape.sequencer.teiid.ReferenceResolver

    public class ReferenceResolver

extends Object

Nested Class Summary
`static class` | `ReferenceResolver.ResolvedReference`

Field Summary
`protected static TextEncoder` | `ENCODER`
`static Map<UUID,String>` | `STANDARD_DATA_TYPE_URLS_BY_UUID`
`static Map<String,String>` | `STANDARD_DATA_TYPE_URLS_TO_NAMES`
`static Map<String,UUID>` | `STANDARD_DATA_TYPE_UUIDS_BY_NAMES`

Constructor Summary
`ReferenceResolver(ExecutionContext context)`

Method Summary
`void` | `clear()`
`Multimap<Path,UUID>` | `getUnresolved()`
`void` | `recordXmiUuid(UUID xmiUuid, Path actualPath)`
`void` | `recordXmiUuidToJcrUuid(UUID xmiUuid, UUID jcrUuid)`
`ReferenceResolver.ResolvedReference` | `resolve(Path ownerPath, Name attributeName, String href)`
`ReferenceResolver.ResolvedReference` | `resolve(Path ownerPath, Name attributeName, String href, UUID mmuuid)`
`UUID` | `resolveInternalReference(String href)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_DATA_TYPE_URLS_TO_NAMES

    public static final Map<String,String> STANDARD_DATA_TYPE_URLS_TO_NAMES

### STANDARD_DATA_TYPE_URLS_BY_UUID

    public static final Map<UUID,String> STANDARD_DATA_TYPE_URLS_BY_UUID

### STANDARD_DATA_TYPE_UUIDS_BY_NAMES

    public static final Map<String,UUID> STANDARD_DATA_TYPE_UUIDS_BY_NAMES

### ENCODER

    protected static final TextEncoder ENCODER

Constructor Detail

### ReferenceResolver

    public ReferenceResolver(ExecutionContext context)

Method Detail

### clear

    public void clear()

### recordXmiUuid

    public void recordXmiUuid(UUID xmiUuid,
                              Path actualPath)

### recordXmiUuidToJcrUuid

    public void recordXmiUuidToJcrUuid(UUID xmiUuid,
                                       UUID jcrUuid)

### getUnresolved

    public Multimap<Path,UUID> getUnresolved()

  Returns:
    unresolved

### resolveInternalReference

    public UUID resolveInternalReference(String href)

### resolve

    public ReferenceResolver.ResolvedReference resolve(Path ownerPath,
                                                       Name attributeName,
                                                       String href)

### resolve

    public ReferenceResolver.ResolvedReference resolve(Path ownerPath,
                                                       Name attributeName,
                                                       String href,
                                                       UUID mmuuid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.